package Main;

/*
 * Graficas.java
 *
 * Created on 10 de abril de 2005, 12:53
 * modified may 2012
 */
import Main.GraficoPkg.*;
import java.awt.Color;
import java.util.ArrayList;
import java.util.Vector;

/**
 *
 * @author  Oscar, Fernando
 * Frame para mostrar las graficas
 */
public class Grafico extends javax.swing.JFrame {
    
    /** Creates new form Graficas */
    public Grafico() {
        initComponents();
        setVisible(false);
        setTitle("Graficas");
    }
    /**
     * Esta limitada a 5 lineas de datos, mas haya se muestran sin color 
     * ni leyenda 
     */
    public void Pinta(){
        ArrayList sims=Jsimured.Simulaciones;
        if (sims==null) return;
        float [] Param = new float[10]; 
        int cont = 0, simuNum = 0;
        String titulo; // = new String();
        ArrayList bloque = (ArrayList)(sims.get(0));

        double [] valY = new double[bloque.size()];
        double [] valoresX = new double[bloque.size()] ;
        int indiX = Jsimured.DevuelveEjeX();
        int indiY = Jsimured.DevuelveEjeY();
         
            //padre.setInfo(padre.Xtxt.getItemAt(0).toString());  
            
            

            // Recorremos las simulaciones del bloque
            for (int j=0; j < bloque.size(); j++)
            {
                Vector sim = (Vector)(bloque.get(j));                
                //ArrayList sim = (ArrayList)bloque.get(j);  // no funciona              
                valY[j] = (Float)(sim.get(indiY));
                valoresX[j] = (Float)(sim.get(indiX));
                Param[simuNum] = (Float)sim.get(0); 
            } 
           titulo =  Jsimured.Ytxt.getSelectedItem().toString() +" en funcion de "+Jsimured.Xtxt.getSelectedItem().toString();
           // Nos creamos la grafica con la primera linea de datos
           Plot2D aPlot = new SimplePlotXY(valoresX, valY,"", Jsimured.Xtxt.getSelectedItem().toString(),Jsimured.Ytxt.getSelectedItem().toString(),
										null, null, new CircleSymbol());
            PlotAxis xAxis = aPlot.getHorizontalAxis();		
            xAxis.setScale(new LinearAxisScale());
            xAxis.setGridStyle(2);                 
            //padre.setCampo(1, Param[0]);
            simuNum++;

            PlotRunList runs = aPlot.getRuns(); 
            // Cogemos la grafica actual y le anyadimos ls siguientes si existen 
            if(sims.size()>1)
            /*******************************************/
            for(int i=1; i < sims.size(); i++){            
            ArrayList bloques = (ArrayList)(sims.get(i));
            // recorremos las simulaciones del bloque
            double [] valYs = new double[bloques.size()];
            double [] valoresXs = new double[bloques.size()];
            
            for (int j=0; j < bloques.size(); j++)
            {       
                Vector sim = (Vector)(bloques.get(j));                
                //ArrayList sim = (ArrayList)(bloques.get(j));  // no funciona              
                valYs[j] = (Float)(sim.get(indiY));
                valoresXs[j] = (Float)(sim.get(indiX));
                Param[simuNum] = (Float)sim.get(0); 
                
            } 
            simuNum++;
            cont++; 
         
            if (cont == 1){
                PlotSymbol simbolo = new SquareSymbol();
                simbolo.setBorderColor(Color.blue);
                PlotRun pp = new PlotRun(valoresXs, valYs, true, simbolo);
                pp.setLineColor(Color.blue); 
                runs.add(pp);
                //padre.setCampo(2, Param[1]);
                
            }
            if (cont == 2){
                PlotSymbol simbolo = new DiamondSymbol();
                simbolo.setBorderColor(Color.red);
                PlotRun pp = new PlotRun(valoresXs, valYs, true, simbolo);
                pp.setLineColor(Color.red); 
                runs.add(pp);
                //padre.setCampo(3, Param[2]);
            }
           
            if (cont == 3){
                PlotSymbol simbolo = new RTriangle1Symbol();
                simbolo.setBorderColor(Color.green);
                PlotRun pp = new PlotRun(valoresXs, valYs, true, simbolo);
                pp.setLineColor(Color.green); 
                runs.add(pp);                
                //padre.setCampo(4, Param[3]);
            }
            if (cont== 4){
                PlotSymbol simbolo = new RTriangle2Symbol();
                simbolo.setBorderColor(Color.MAGENTA);
                PlotRun pp = new PlotRun(valoresXs, valYs, true, simbolo);
                pp.setLineColor(Color.MAGENTA); 
                runs.add(pp);
                //padre.setCampo(5, Param[4]);                
            }
            else if(cont > 4){
                runs.add(new PlotRun(valoresXs, valYs, true, new XSymbol()));
                //padre.setCampo(6, Param[cont]);               
            }
         }
         
        PlotPanel panel = new PlotPanel(aPlot);
		panel.setBackground( Color.white ); 
                //jPanel1=panel;
                //getContentPane().add(panel);
                setContentPane(panel);
                //setTitle("Graficas");
                //this.paintAll(this.getGraphics());
                setVisible(true);
         
    }
   
    /** This method is called from within the constructor to
     * initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is
     * always regenerated by the Form Editor.
     */
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        setTitle("Graficas");
        setPreferredSize(new java.awt.Dimension(615, 435));

        pack();
    }// </editor-fold>//GEN-END:initComponents
    
    
    // Variables declaration - do not modify//GEN-BEGIN:variables
    // End of variables declaration//GEN-END:variables

}
